package com.bonus.material.index.mapper;

import com.bonus.material.devchange.domain.MaDevInfo;
import com.bonus.material.devchange.domain.MaDevInfoXlsx;
import com.bonus.material.index.domain.CompanyDevToolStatisticsExport;
import com.bonus.material.index.domain.MaDevInfoXlsxExport;
import com.bonus.material.index.domain.ToolLedgerEntityExport;
import com.bonus.material.toolLedger.domain.ToolLedgerEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface IndexMapper {
    /**
     * 数据总览
     *
     * @return
     */
    Map<String, Object> getDeviceNum(String companyId);

    Map<String, Object> getUseDeviceNum();

    List<Map<String, Object>> getReal();

    List<Map<String, Object>> getDeviceByDept();

    Map<String, Object> getMaQc(String companyId);

    Map<String, Object> getDeviceNumByMonth(String companyId);

    List<Map<String, Object>> getApprover(@Param("userId") String userId, @Param("roles")Set<String> roles);

    Map<String, Object> getShare(String companyId);


    List<CompanyDevToolStatisticsExport> getDeviceByDeptEX();

    List<MaDevInfoXlsxExport> listXlsx();


    /**
     * 工具台账表格
     *
     * @param entity 实体
     * @return 表格
     */
    List<ToolLedgerEntityExport> listToolLedgerEntity();
}
